{% extends "base.html" %}

{% block content %}
    <script>
        // Hide the local networks input fields when the L3-status checkbox is unchecked
        $(document).ready(function () {
            let toggle_checkbox = $("#l3");
            if (!toggle_checkbox.prop("checked")) {
                let to_hide = $("#dns_div, .dns_hide, .local-networks-hide");
                let to_disable = $("#dns1, #dns2, .local-networks");
                to_hide.hide();
                to_disable.hide();
                to_disable.prop('disabled', true);
            }
            toggle_checkbox.change(function () {
                let to_hide = $("#dns_div, .dns_hide, .local-networks-hide");
                let to_disable = $("#dns1, #dns2, .local-networks");
                if ($(this).is(":checked")) {
                    to_hide.show();
                    to_disable.show();
                    to_disable.prop('disabled', false);
                } else {
                    to_hide.hide();
                    to_disable.hide();
                    to_disable.prop('disabled', true);
                }
            });
        });
    </script>
    <div class="row">
        <div class="col-6">
            <form class="text-center border border-light p-5" action="" method="post">
                {{ form_ra.hidden_tag() }}
                <p class="h4 mb-4">{{ title }}</p>

                <!-- PARAMETER: Activate L3 or L2 Configuration -->
                <hr>
                {% if not ra_config %}
                    <div class="text-left mt-4">
                        <input type="checkbox" id="l3" name="l3" checked
                               data-toggle="toggle" data-height="50" data-width="100" data-on="Layer 3"
                               data-off="Layer 2">
                        <label for="l3">VPN-Type</label>
                    </div>
                {% elif ra_config.l3 %}
                    <div class="text-left mt-4">
                        <input type="checkbox" id="l3" name="l3" checked
                               data-toggle="toggle" data-height="50" data-width="100" data-on="Layer 3"
                               data-off="Layer 2">
                        <label for="l3">VPN-Type</label>
                    </div>
                {% else %}
                    <div class="text-left mt-4">
                        <input type="checkbox" id="l3" name="l3"
                               data-toggle="toggle" data-height="50" data-width="100" data-on="Layer 3"
                               data-off="Layer 2">
                        <label for="l3">VPN-Type</label>
                    </div>
                {% endif %}
                <br>
                <hr>

                <p class="h5 mb-5">Your own site</p>
                <p class="h6 mb-6">Please enter the fields corresponding to your site</p>

                <!-- Informing about changing current configuration -->
                {% if ra_config %}
                    <div class="alert alert-danger fade show" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                        <strong>Pay attention you are about to update your current Remote Access configuration!</strong>
                    </div>
                {% endif %}

                <!-- A Public IP -->
                <div class="form-group text-left">
                    <label for="{{ form_ra.a_public_ip.id }}">Public IP</label>
                    {% if form_ra.a_public_ip.errors %}
                        {{ form_ra.a_public_ip(size=15, class="form-control is-invalid", placeholder="Public IP") }}
                        <div class="invalid-feedback">{{ form_ra.a_public_ip.errors[0] }}</div>
                    {% else %}
                        {{ form_ra.a_public_ip(size=15, class="form-control", placeholder="Public IP", value=ra_config.a_public_ip or '') }}
                    {% endif %}
                </div>

                <!-- A Public Port -->
                <div class="form-group text-left">
                    <label for="{{ form_ra.a_public_port.id }}">Public Port</label>
                    {% if form_ra.a_public_port.errors %}
                        {{ form_ra.a_public_port(class="form-control is-invalid", placeholder="Public Port") }}
                        <div class="invalid-feedback">{{ form_ra.a_public_port.errors[0] }}</div>
                    {% else %}
                        {{ form_ra.a_public_port(class="form-control", placeholder="Public Port", value=ra_config.a_public_port or '') }}
                    {% endif %}
                </div>

                <!-- A Tunnel IP + Mask (CIDR) -->
                <div class="form-group text-left">
                    <label for="{{ form_ra.a_tunnel_cidr.id }}">Tunnel IP / Prefix</label>
                    {% if form_ra.a_tunnel_cidr.errors %}
                        {{ form_ra.a_tunnel_cidr(class="form-control is-invalid", placeholder="Tunnel IP: 172.16.254.1/24") }}
                        <div class="invalid-feedback">{{ form_ra.a_tunnel_cidr.errors[0] }}</div>
                    {% else %}
                        {{ form_ra.a_tunnel_cidr(class="form-control ", placeholder="Tunnel IP: 172.16.254.1/24", value=ra_config.a_tunnel_cidr or '') }}
                    {% endif %}
                </div>

                <!-- A Local Networks -->
                <div class="form-group text-left local-networks-hide">
                    <label for="{{ form_ra.a_local_networks.id }}" class="local-networks-hide">Local networks / Prefix</label>
                    {% if form_ra.a_local_networks.errors %}
                        {{ form_ra.a_local_networks(class="form-control is-invalid local-networks", placeholder="Local networks: 192.168.1.0/24, 10.10.10.0/23") }}
                        <div class="invalid-feedback">{{ form_ra.a_local_networks.errors[0] }}</div>
                    {% else %}
                        {{ form_ra.a_local_networks(class="form-control local-networks", placeholder="Local networks: 192.168.1.0/24, 10.10.10.0/23", value=ra_config.a_local_networks or '') }}
                    {% endif %}
                </div>

                <!-- DNS 1&2 Errors -->
                {% if form_ra.dns1.errors and form_ra.dns2.errors %}
                    <div class="container" id="dns_div">
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns1.id }}" class="dns_hide">DNS 1</label>
                                    {{ form_ra.dns1(class="form-control is-invalid", id="dns1", placeholder="DNS 1: 172.16.0.1") }}
                                </div>
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns2.id }}" class="dns_hide">&nbsp;DNS 2</label>
                                    {{ form_ra.dns2(class="form-control is-invalid", id="dns2", placeholder="DNS 2: 172.16.0.2") }}
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="invalid-feedback">{{ form_ra.dns1.errors[0] }}</div>
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="invalid-feedback">{{ form_ra.dns2.errors[0] }}</div>
                            </div>
                        </div>
                    </div>
                    <!-- DNS 1 Errors -->
                {% elif form_ra.dns1.errors %}
                    <div class="container">
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns1.id }}" class="dns_hide">DNS 1</label>
                                    {{ form_ra.dns1(class="form-control mt-4 is-invalid", id="dns1", placeholder="DNS 1: 172.16.0.1") }}
                                </div>
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns2.id }}" class="dns_hide">&nbsp;DNS 2</label>
                                    {{ form_ra.dns2(class="form-control mt-4", id="dns2", placeholder="DNS 2: 172.16.0.2") }}
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="invalid-feedback">{{ form_ra.dns1.errors[0] }}</div>
                            </div>
                            <div class="col-sm px-lg-0">
                            </div>
                        </div>
                    </div>
                    <!-- DNS 2 Errors -->
                {% elif form_ra.dns2.errors %}
                    <div class="container">
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns1.id }}" class="dns_hide">DNS 1</label>
                                    {{ form_ra.dns1(class="form-control mt-4", id="dns1", placeholder="DNS 1: 172.16.0.1") }}
                                </div>
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns2.id }}" class="dns_hide">&nbsp;DNS 2</label>
                                    {{ form_ra.dns2(class="form-control mt-4 is-invalid", id="dns2", placeholder="DNS 2: 172.16.0.2") }}
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm px-lg-0">
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="invalid-feedback">{{ form_ra.dns2.errors[0] }}</div>
                            </div>
                        </div>
                    </div>
                {% else %}
                    <div class="container">
                        <div class="row">
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns1.id }}" class="dns_hide">DNS 1</label>
                                    {{ form_ra.dns1(class="form-control", id="dns1", placeholder="DNS 1: 172.16.0.1", value=ra_config.dns1 or '') }}
                                </div>
                            </div>
                            <div class="col-sm px-lg-0">
                                <div class="form-group text-left">
                                    <label for="{{ form_ra.dns2.id }}" class="dns_hide">&nbsp;DNS 2</label>
                                    {{ form_ra.dns2(class="form-control", id="dns2", placeholder="DNS 2: 172.16.0.2", value=ra_config.dns2 or '') }}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}

                <hr>

                <!-- Send button -->
                {{ form_ra.submit(class="btn btn-primary btn-block") }}

            </form>
        </div>
    </div>

{% endblock %}